BFSAPHeuristic Class Reference

a matching algorithm implementing a heuristic breadth-first-search for augmenting paths

`#include <BFSAPHeuristic.h>`

Inheritance diagram for BFSAPHeuristic:

## Public Member Functions

| BFSAPHeuristic (Graph *g, Matching *m)
virtual | ~BFSAPHeuristic (void)
const char * | getName (void) const
void | run (void)
Public Member Functions inherited from MatchingAlgorithm
| MatchingAlgorithm (Graph *g, Matching *m, float goal)
virtual | ~MatchingAlgorithm (void)
Matching * | getMatching (void) const
void | setGoal (float goal)

## Private Member Functions

unsigned long | searchAugmentingPath (Vertex *v0, const Edge **path)

## Private Attributes

bool * | VertexVisited
Edge * | BackEdge

## Additional Inherited Members

Protected Attributes inherited from MatchingAlgorithm
Graph * | TheGraph
Matching * | TheMatching
unsigned long | CardinalityGoal

## Constructor & Destructor Documentation

## BFSAPHeuristic()

BFSAPHeuristic::BFSAPHeuristic | ( | Graph * | g,
|  | Matching * | m )

construct an BFSAPHeuristic object

Parameters

  g | the graph on which this heuristic should run
  m | the matching to start with

## ~BFSAPHeuristic()

BFSAPHeuristic::~BFSAPHeuristic | ( | void |  | ) |

virtual

## Member Function Documentation

## getName()

const char * BFSAPHeuristic::getName | ( | void |  | ) | const

inline virtual

Implements MatchingAlgorithm.

## run()

void BFSAPHeuristic::run | ( | void |  | ) |

virtual

Implements MatchingAlgorithm.

## searchAugmentingPath()

unsigned long BFSAPHeuristic::searchAugmentingPath | ( | Vertex * | v0,
|  | const Edge ** | path )

private

Parameters

  v0 | an exposed vertex
  path | an array of Edge pointers where the path will be put

Returns
  the length of the path (the number of valid edges in path)

## Member Data Documentation

## BackEdge

Edge* BFSAPHeuristic::BackEdge

private

## VertexVisited

bool* BFSAPHeuristic::VertexVisited

private

The documentation for this class was generated from the following files:

- BFSAPHeuristic.h
- BFSAPHeuristic.cc